interface ApiLogger {
    debug: LogFunction;
    info: LogFunction;
    warn: LogFunction;
    error: LogFunction;
}
type LogFunction = (message?: string) => void;
declare enum LoggerLevelMap {
    debug = 0,
    info = 1,
    warn = 2,
    error = 3,
    silent = 4
}
type LoggerLevel = keyof typeof LoggerLevelMap;
interface DefaultApiLoggerOption {
    context?: string;
    loggerLevel?: LoggerLevel;
}
declare class DefaultApiLogger implements ApiLogger {
    private readonly context;
    private readonly level;
    constructor(option?: DefaultApiLoggerOption);
    debug: (message?: string) => void;
    info: (message?: string) => void;
    warn: (message?: string) => void;
    error: (message?: string) => void;
    private get defaultLoggerLevel();
    private logMessage;
}

export { ApiLogger, DefaultApiLogger, DefaultApiLoggerOption, LoggerLevel };
