declare class HttpException extends Error {
    status: number;
    defaultMessage: string;
    constructor(status?: number, message?: string, defaultMessage?: string);
}
declare class BadRequestException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
declare class UnauthorizedException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
declare class ForbiddenException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
declare class NotFoundException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
declare class MethodNotAllowedException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
declare class NotAcceptableException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
declare class RequestTimeoutException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
declare class ConflictException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
declare class GoneException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
declare class PayloadTooLargeException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
declare class UnsupportedMediaTypeException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
declare class TooManyRequestsException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
declare class InternalServerErrorException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
declare class NotImplementedException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
declare class BadGatewayException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
declare class ServiceUnavailableException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}
declare class GatewayTimeoutException extends HttpException {
    constructor(message?: string, defaultMessage?: string);
}

export { BadGatewayException, BadRequestException, ConflictException, ForbiddenException, GatewayTimeoutException, GoneException, HttpException, InternalServerErrorException, MethodNotAllowedException, NotAcceptableException, NotFoundException, NotImplementedException, PayloadTooLargeException, RequestTimeoutException, ServiceUnavailableException, TooManyRequestsException, UnauthorizedException, UnsupportedMediaTypeException };
